libdevice User's Guide (PDF) - v10.1.105 (older) - Last updated February 8, 2019 - Send Feedback

## 3.54. __nv_double2ll_rd

Prototype:

    i64 @__nv_double2ll_rd(double %f)

Description:

Convert the double-precision floating point value `x` to a signed 64-bit integer value in round-down (to negative infinity) mode.

Returns:

Returns converted value.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes